cascading.tuple.io

## Interface TupleInputStream.ElementReader

- All Known Implementing Classes:
    TupleSerialization.SerializationElementReader
  Enclosing class:
    TupleInputStream

      public static interface TupleInputStream.ElementReader

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.util.Comparator` | `getComparatorFor(int type, java.io.DataInputStream inputStream)`
    `java.lang.Object` | `read(java.lang.Class type, java.io.DataInputStream inputStream)`
    `java.lang.Object` | `read(int token, java.io.DataInputStream inputStream)`

- - ### Method Detail

    - #### read

          java.lang.Object read(int token,
                              java.io.DataInputStream inputStream)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          java.lang.Object read(java.lang.Class type,
                              java.io.DataInputStream inputStream)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getComparatorFor

          java.util.Comparator getComparatorFor(int type,
                                              java.io.DataInputStream inputStream)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          void close()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.